Identity
Body
Responses
200
The client application was created
application/json
idinteger · int32Optional
clientIdstring · nullableOptional
clientSecretstring · nullableOptional
clientNamestring · nullableOptional
hintstring · nullableOptional
audienceall ofOptional
integer · enumOptionalPossible values:
scopesstring[] · nullableOptional
roleIdsinteger · int32[] · nullableOptional
organizationIdinteger · int32Optional
400
Input data was invalid
application/json
401
Not authorized
application/json
403
Not allowed
application/json
500
Internal server error
post
/api/identity/clientPath parameters
clientIdinteger · int32Required
The identifier of the client application
Query parameters
organizationIdinteger · int32Required
The identifier of the organization
Responses
200
The client application secret was rotated
application/json
idinteger · int32Optional
clientIdstring · nullableOptional
clientSecretstring · nullableOptional
clientNamestring · nullableOptional
hintstring · nullableOptional
audienceall ofOptional
integer · enumOptionalPossible values:
scopesstring[] · nullableOptional
roleIdsinteger · int32[] · nullableOptional
organizationIdinteger · int32Optional
400
Input data was invalid
application/json
401
Not authorized
application/json
403
Not allowed
application/json
500
Internal server error
put
/api/identity/client/{clientId}/secretPath parameters
clientIdinteger · int32Required
The identifier of the client application
Query parameters
organizationIdinteger · int32Required
The identifier of the organization
Responses
204
The client application was deleted
400
Input data was invalid
application/json
401
Not authorized
application/json
403
Not allowed
application/json
500
Internal server error
delete
/api/identity/client/{clientId}No content
Last updated
Was this helpful?